language: cn
model_unique_abbr: graph_density_hybrid_spatial_clustering
version: 1.0
identification:
  docker_image_name: graph_density_hybrid_spatial_clustering:1.0
  model_name: HGDSC聚类
  semantic: Hybrid Spatial Clustering method based on Graph theory and Spatial Density
  description: HGDSC聚类是一种能够发现任意形状和密度、且专题属性相似的空间簇的算法。
  category_application: 诊断型
  category_data:
    - 点数据分析
  keywords:
    - 空间聚类算法
    - 非空间属性
    - Delaunay三角网
    - 密度
    -
parameter_info:
  parameters:
    - arg_name: input
      is_single_en_dash: false
      param_type: input_data
      name: 空间点数据
      description: "待聚类的空间点矢量数据,格式为shp"
      data_type: shp
      data_semantic: cluster_data

    - arg_name: field
      is_single_en_dash: false
      param_type: param
      name: 非空间属性
      description: 非空间属性列名，用于聚类，只能输入一个属性列，如 "1998年"
      data_type: str
      data_semantic: non-spatial attribute

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 聚类结果
      description: 带有簇标签的聚类结果，保存为csv格式的文件。新增列名默认为label,若原数据中已有该列,则添加从序号1编号,如label1、label2...。聚类标签为1,2...
      data_type: csv
      data_semantic: cluster_result

application:
  domain: 顾及非空间属性的空间点对象聚类
  objective: 顾及空间邻近与非空间属性，从空间数据库中发现任意形状的空间簇
  dimension:
    - 二维
  mechanism: 该方法首先借助附加约束的Delaunay三角网来建立空间实体之间的邻接关系，然后对基于密度的聚类方法进行改进，顾及空间邻近与非空间属性相似性进行聚类
operation:
  usage: "该算法需要三个参数,输入文件路径与名称,attr非空间属性,输出文件路径与名称。"
  exec_example:
    - docker run -v $(pwd):/data graph_density_hybrid_spatial_clustering:1.0 --input ../data/rain.shp -field 1998年 --output output.csv
    - docker run -v $(pwd):/data graph_density_hybrid_spatial_clustering:1.0 --input ../data/rain.shp -field 1998年 --output output.csv
  output_display:
    - "在原本的点数据了新增label列，可以根据label列的值进行聚类展示。"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Zhilong Liu
  organization: Central South University
  contact: 235011045@csu.edu.cn
  references:
    - "石岩,刘启亮,邓敏等.融合图论与密度思想的混合空间聚类方法[J].武汉大学学报(信息科学版),2012,37(11):1276-1280.DOI:10.13203/j.whugis2012.11.012."
